Subject: bug#53606: 29.0.50; Very slow Customize buffer for bibtex-biblatex-entry-alist

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Sep 2023 08:01:36 +0300

> Date: Sat, 9 Sep 2023 19:51:23 -0300
> From: Mauro Aranda <[email-masked]>
> 
> On 9/9/23 19:23, Mauro Aranda wrote:
>  > Based on the above results and since there's no lost in functionality, I
>  > propose to make the changes to the bibtex-entry-alist widget. It is a
>  > net gain in speed, and it might make the wait bearable.
> 
> Hmm, spoke too soon :-(.  Using option is not as redundant as I
> thought it was.  Using `choice's alone would set all the values that
> are nil in the group like so: ("author" nil nil nil), while using it
> with `option' allows for setting it as: ("author")
> 
> So that's something to consider.

Thanks for looking into this issue.

Could you please profile this slow operation and post the completely
unfolded profile?  I think we should try to understand what exactly
takes so much time in this case.